#gfo-shop {
  width: -webkit-fill-available;
  width: 100%;
}
#gfo-shop:before {
  content: none;
}

#produktliste-thumbnail .swiper-wrapper {
  align-items: center !important;
}

#produktliste-swiper {
  overflow: visible !important;
}
@media (min-width: 1200px) {
  #produktliste-swiper {
    overflow: hidden !important;
  }
}

.common-styles, #gfo-produktauswahl, #gfo-produktkonfig, #ausbau-zustimmung {
  background-color: var(--whitesmoke);
  position: relative;
  min-height: 100%;
  padding-bottom: 100px;
}
.common-styles .gfo-head, #gfo-produktauswahl .gfo-head, #gfo-produktkonfig .gfo-head, #ausbau-zustimmung .gfo-head {
  width: 100%;
  color: white !important;
}
.common-styles .gfo-head a, #gfo-produktauswahl .gfo-head a, #gfo-produktkonfig .gfo-head a, #ausbau-zustimmung .gfo-head a {
  color: white !important;
}
.common-styles .kurve, #gfo-produktauswahl .kurve, #gfo-produktkonfig .kurve, #ausbau-zustimmung .kurve {
  position: relative;
  margin-bottom: 100px;
}
.common-styles section, #gfo-produktauswahl section, #gfo-produktkonfig section, #ausbau-zustimmung section {
  margin: 0;
  padding: 0;
  width: 100%;
  background: var(--primary-gradient);
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.7);
}
.common-styles .curve, #gfo-produktauswahl .curve, #gfo-produktkonfig .curve, #ausbau-zustimmung .curve {
  position: absolute;
  bottom: -100px;
  height: 100px;
  width: 100%;
  transform-origin: top;
}
.common-styles .curve img, #gfo-produktauswahl .curve img, #gfo-produktkonfig .curve img, #ausbau-zustimmung .curve img {
  width: 100%;
  height: 100%;
}
@media (max-width: 767.98px) {
  .common-styles .curve img, #gfo-produktauswahl .curve img, #gfo-produktkonfig .curve img, #ausbau-zustimmung .curve img {
    height: 30%;
  }
}
.common-styles .weiter, #gfo-produktauswahl .weiter, #gfo-produktkonfig .weiter, #ausbau-zustimmung .weiter {
  color: var(--secondary);
}
.common-styles .weiter i, #gfo-produktauswahl .weiter i, #gfo-produktkonfig .weiter i, #ausbau-zustimmung .weiter i {
  margin: 0 auto;
  font-size: 3rem;
  cursor: pointer;
}
.common-styles .swiper-button-prev, #gfo-produktauswahl .swiper-button-prev, #gfo-produktkonfig .swiper-button-prev, #ausbau-zustimmung .swiper-button-prev, .common-styles .swiper-button-next, #gfo-produktauswahl .swiper-button-next, #gfo-produktkonfig .swiper-button-next, #ausbau-zustimmung .swiper-button-next {
  color: white;
  background-color: var(--normal-grey);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.common-styles .swiper-button-prev::after, #gfo-produktauswahl .swiper-button-prev::after, #gfo-produktkonfig .swiper-button-prev::after, #ausbau-zustimmung .swiper-button-prev::after, .common-styles .swiper-button-next::after, #gfo-produktauswahl .swiper-button-next::after, #gfo-produktkonfig .swiper-button-next::after, #ausbau-zustimmung .swiper-button-next::after {
  font-size: 1.2rem;
  font-weight: bold;
}
.common-styles .swiper-button-prev, #gfo-produktauswahl .swiper-button-prev, #gfo-produktkonfig .swiper-button-prev, #ausbau-zustimmung .swiper-button-prev {
  padding-right: 2px;
}
.common-styles .swiper-button-next, #gfo-produktauswahl .swiper-button-next, #gfo-produktkonfig .swiper-button-next, #ausbau-zustimmung .swiper-button-next {
  padding-left: 2px;
}
.common-styles .swiper-pagination, #gfo-produktauswahl .swiper-pagination, #gfo-produktkonfig .swiper-pagination, #ausbau-zustimmung .swiper-pagination {
  position: unset;
}
.common-styles .swiper-slide-thumb-active .card, #gfo-produktauswahl .swiper-slide-thumb-active .card, #gfo-produktkonfig .swiper-slide-thumb-active .card, #ausbau-zustimmung .swiper-slide-thumb-active .card {
  box-shadow: 1px 1px 15px rgba(0, 0, 0, 0.3);
}

#ausbau-zustimmung {
  background-color: white;
  padding-bottom: 0;
}
#ausbau-zustimmung .zustimmung-formular-img {
  margin-top: -10rem;
  position: absolute;
  width: 145%;
}
#ausbau-zustimmung .grid-form {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Two equal columns */
  column-gap: 1rem; /* Horizontal gap between columns */
  row-gap: 0; /* Vertical gap between rows */
}
#ausbau-zustimmung .grid-form .form-group {
  display: flex;
  flex-direction: column;
}

/* Mobile Styles */
@media (max-width: 576px) {
  #ausbau-zustimmung .grid-form {
    grid-template-columns: 1fr; /* Stack items in single column */
  }
}
#produktliste-thumbnail {
  padding: 0 5px;
}
@media (min-width: 1200px) {
  #produktliste-thumbnail {
    width: 50%;
  }
}
#produktliste-thumbnail .swiper-slide-thumb-active:last-child .produkt-thumbnail {
  border-right: none;
}
#produktliste-thumbnail .swiper-slide:first-child .produkt-thumbnail {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
#produktliste-thumbnail .swiper-slide:last-child .produkt-thumbnail {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}
#produktliste-thumbnail .swiper-slide {
  padding: 1rem 0;
}
#produktliste-thumbnail .swiper-slide-thumb-active .produkt-thumbnail {
  background: var(--dark-grey);
  color: white;
  cursor: default;
  height: 86px;
}
@media (min-width: 1200px) {
  #produktliste-thumbnail .swiper-slide-thumb-active .produkt-thumbnail {
    height: 66px;
  }
}
#produktliste-thumbnail .swiper-slide-thumb-active .produkt-thumbnail p {
  font-size: 0.9rem;
}

.produkt-thumbnail {
  height: 80px;
  display: table-cell;
  vertical-align: middle;
  min-height: unset;
  width: inherit;
  background: white;
  transition: background;
  font-size: 0.8rem;
  font-weight: 500;
  text-align: center;
  box-shadow: 1px 1px 6px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  border-right: 2px solid var(--whitesmoke);
}
@media (min-width: 1200px) {
  .produkt-thumbnail {
    height: 60px;
  }
}
.produkt-thumbnail p {
  margin: 0;
}

#gfo-produktauswahl {
  overflow: hidden;
}
#gfo-produktauswahl .container .pt-5:first-child {
  text-align: center !important;
}
#gfo-produktauswahl ul.preis {
  list-style: none;
}
#gfo-produktauswahl ul.preis li:not(:first-child) {
  color: var(--dark-grey);
  font-size: 0.75rem;
}
#gfo-produktauswahl .verfuegbarkeit-hinweis {
  font-size: 1rem;
  display: inline-flex;
  padding: 16px 20px;
  border-radius: 4px;
  align-items: flex-start;
  gap: 10px;
}
#gfo-produktauswahl .verfuegbarkeit-hinweis .verfuegbarkeit-hinweis {
  font-size: 3.5rem;
}
#gfo-produktauswahl .verfuegbarkeit-hinweis .verfuegbarkeit-hinweis-titel {
  font-size: 1.5rem;
  font-weight: bold;
}
#gfo-produktauswahl .verfuegbarkeit-hinweis i {
  padding-left: 2rem;
}
@media (max-width: 576px) {
  #gfo-produktauswahl .verfuegbarkeit-hinweis i {
    padding-left: 1rem;
  }
}

#gfo-produktkonfig {
  min-height: calc(100vh - 275px);
  background: var(--whitesmoke) !important;
}
#gfo-produktkonfig .versandadresse [data-toggle=collapse] .fas:before {
  content: "\f067";
}
#gfo-produktkonfig .versandadresse [aria-expanded=true] .fas:before {
  content: "\f068";
}
#gfo-produktkonfig .versandadresse [data-toggle=collapse].collapsed .fas:before {
  content: "\f067";
}
#gfo-produktkonfig .black-border-left {
  border-left: 2px solid black;
  padding-left: 12px;
}
#gfo-produktkonfig h3 {
  font-size: 1.8rem;
}
#gfo-produktkonfig .gfo-card {
  transition: box-shadow 0.3s ease-in;
  display: flex;
  flex-direction: column;
}
#gfo-produktkonfig .gfo-card .card-header span {
  color: white;
  font-size: 0.9rem;
}
#gfo-produktkonfig ul.preis {
  list-style: none;
}
#gfo-produktkonfig ul.preis li:not(:first-child) {
  font-size: 0.75rem;
}
@media (max-width: 767.98px) {
  #gfo-produktkonfig .bezeichnung {
    font-size: 80%;
    font-weight: 400;
    color: var(--normal-grey);
  }
}
#gfo-produktkonfig .bounce-enter-active {
  animation: bounce-in 0.5s;
}
#gfo-produktkonfig .bounce-leave-active {
  animation: bounce-in 0.5s reverse;
}
@keyframes bounce-in {
  0% {
    transform: scale(0);
  }
  50% {
    transform: scale(1.25);
  }
  100% {
    transform: scale(1);
  }
}
#gfo-produktkonfig .fade-enter-active, #gfo-produktkonfig .fade-leave-active {
  transition: opacity 0.25s, max-height 0.75s;
}
#gfo-produktkonfig .fade-enter, #gfo-produktkonfig .fade-leave-to {
  opacity: 0;
  max-height: 0;
}
#gfo-produktkonfig .fade-enter-to {
  max-height: fit-content;
}
#gfo-produktkonfig .gesamtkosten {
  padding-bottom: 12px !important;
}
#gfo-produktkonfig .gesamtkosten p {
  margin-bottom: 0;
}
#gfo-produktkonfig .gesamtkosten .preis {
  font-weight: 500;
  font-size: 2.5rem;
  line-height: 1.2;
}
#gfo-produktkonfig .gesamtkosten .preis.ersparnis {
  color: #87bc37;
}
#gfo-produktkonfig .swiper-button-prev {
  left: -5px;
}
#gfo-produktkonfig .swiper-button-next {
  right: -5px;
}

#cart li {
  color: var(--dark-grey) !important;
}
#cart small {
  font-size: 70%;
}

.form-control {
  height: 2.2rem;
}

.verfuegbarkeit-anzeige-produkt {
  display: grid;
}
@media (min-width: 1200px) {
  .verfuegbarkeit-anzeige-produkt {
    grid-template-columns: 15% 65% 20%;
  }
}
@media (max-width: 1199px) {
  .verfuegbarkeit-anzeige-produkt {
    grid-template-columns: 20% 80%;
  }
}

.verfuegbarkeit-anzeige-adresse {
  padding-top: 10px;
  display: grid;
}
@media (min-width: 1200px) {
  .verfuegbarkeit-anzeige-adresse {
    grid-template-columns: 15% 85%;
  }
}
@media (max-width: 1199px) {
  .verfuegbarkeit-anzeige-adresse {
    grid-template-columns: 20% 80%;
  }
}

.small-green-check {
  font-size: 4rem;
}
@media (max-width: 770px) {
  .small-green-check {
    font-size: 2rem;
  }
}

.show-when-mobile {
  padding-top: 5px !important;
}
@media (min-width: 770px) {
  .show-when-mobile {
    display: none;
  }
}

@media (max-width: 1199px) {
  .item3 {
    grid-column-start: 2;
  }
}

@media (min-width: 1200px) {
  .float-button-right {
    float: right;
  }
}

.underline-button {
  color: var(--dark);
  position: relative;
  display: initial;
  text-decoration: none;
  padding: 2px 0;
  transition: 0.5s;
}
.underline-button:hover {
  text-decoration: none !important;
}
.underline-button:hover::after {
  transform: scaleX(1);
  transform-origin: left;
}
.underline-button::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 2px;
  top: 100%;
  left: 0;
  background: var(--secondary);
  transition: transform 0.5s;
  transform: scaleX(0);
  transform-origin: right;
}

.check_bereits_entahlten {
  position: absolute;
  top: 0;
  left: 3px;
  height: 35px;
  width: 35px;
}
.check_bereits_entahlten:after {
  font-family: "Font Awesome 5 Free", sans-serif;
  font-weight: 900;
  content: "\f00c";
  color: #71C3E5;
  padding-right: 10px;
}

.upselling_checkbox {
  -webkit-appearance: none;
  background-color: white;
  border: 1px solid var(--light-grey);
  padding: 9px;
  border-radius: 3px;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  margin-right: 10px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

.regular-checkbox:checked {
  background-color: white;
  border: 1px solid #71C3E5;
  color: white;
}

.upselling_checkbox:checked:after {
  font-family: "Font Awesome 5 Free", sans-serif;
  font-weight: 600;
  content: "\f00c";
  font-size: 14px;
  position: absolute;
  top: 2px;
  left: 2px;
  color: #71C3E5;
}

.warenkorb-footer {
  width: 100%;
  z-index: 10;
  background-color: white;
  box-shadow: 0px -5px 5px 0px rgba(0, 0, 0, 0.1);
}
.warenkorb-footer .container {
  max-width: 1024px;
}
.warenkorb-footer .preisleiste {
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}
.warenkorb-footer .preisleiste .price-div {
  place-items: flex-end;
}
@media (max-width: 767px) {
  .warenkorb-footer .preisleiste .price-div {
    place-items: center;
  }
}
.warenkorb-footer .preisleiste ul {
  list-style: none;
  margin-bottom: 0;
}
.warenkorb-footer p {
  margin: 0;
}
@media (min-width: 1280px) {
  .warenkorb-footer p br {
    display: none;
  }
}
@media (max-width: 575.98px) {
  .warenkorb-footer p .text-mobil {
    display: none;
  }
}
.warenkorb-footer .basket_preis {
  font-weight: 500;
  font-size: 1.5rem;
}
@media (max-width: 991.98px) {
  .warenkorb-footer .basket_preis {
    font-size: 1rem;
  }
}
.warenkorb-footer .btn {
  width: fit-content;
}
.warenkorb-footer .btn i {
  padding: 0 5px 0 0;
}

.warenkorb a:hover {
  text-decoration: none !important;
}
.warenkorb .sheet {
  padding-bottom: 0.4rem;
}
.warenkorb .sheet .row {
  border-bottom: 1px solid var(--light-grey) !important;
}
.warenkorb .sheet .row .row {
  border-bottom: none !important;
}
.warenkorb .sheet .row:last-child {
  border-bottom: none !important;
}
.warenkorb .warenkorb-edit a {
  color: var(--dark);
}
.warenkorb .warenkorb-edit a:hover {
  color: var(--normal-grey);
}
.warenkorb .rabatte .fas {
  font-size: 3.2rem;
}

.produktoptionen {
  position: relative;
  padding-top: 1.5rem;
}
.produktoptionen .swiper-button-prev {
  color: var(--normal-grey);
  left: -5%;
}
@media (min-width: 768px) {
  .produktoptionen .swiper-button-prev {
    left: -2%;
  }
}
@media (max-width: 1399.98px) {
  .produktoptionen .swiper-button-prev {
    left: -2%;
  }
}
.produktoptionen .swiper-button-next {
  color: var(--normal-grey);
  right: -5%;
}
@media (min-width: 768px) {
  .produktoptionen .swiper-button-next {
    right: -2%;
  }
}
@media (max-width: 1399.98px) {
  .produktoptionen .swiper-button-next {
    right: -2%;
  }
}

.optionPlusIcon {
  font-size: 2.7rem;
  position: absolute;
  top: -23px;
  left: -23px;
  background-color: white;
  border-radius: 50px;
}

.produktkonfig-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0.65); /*dim the background*/
}

.blur {
  filter: blur(5px);
}

#verfuegbarkeit_formular h2 {
  color: white;
}

#verfuegbarkeit_icons span {
  font-size: 6rem;
  color: var(--primary);
}
#verfuegbarkeit_icons span:hover {
  color: var(--secondary-hover);
}
#verfuegbarkeit_icons p {
  padding-top: 7px;
}
#verfuegbarkeit_icons .verfueg-negativ span, #verfuegbarkeit_icons .verfueg-negativ p {
  color: var(--light-grey);
}

.form-label {
  font-weight: 500;
  font-size: 0.875rem;
}

.circle {
  filter: drop-shadow(0px 0px 20px rgba(0, 0, 0, 0.2));
  fill: var(--secondary);
}

.form-control.grey-disabled:disabled {
  border-color: #e7e7ed !important;
  border-style: solid !important;
  border-width: 0.0625rem !important;
  background-color: #f1f2f5 !important;
  color: #a7a9bc !important;
  cursor: not-allowed !important;
  opacity: 1 !important;
}

.red-alert {
  color: red;
  border-color: red;
}

.verfuegbarkeit-box {
  display: inline-flex;
  padding: 16px 16px;
  border: 3px solid #87bc37;
  border-radius: 4px;
  align-items: flex-start;
  gap: 10px;
}

.icon-check-large {
  font-size: 35px;
  margin-right: 0.5rem;
  margin-top: 0.4rem;
}

.icon-map {
  color: var(--secondary);
  font-size: 35px;
  margin-right: 0.8rem;
  margin-top: 0.6rem;
}

.text-title {
  font-size: 1.5rem;
  font-weight: 500;
}

.text-normal {
  font-weight: 300; /* light */
  font-size: 1.2rem;
}

.text-bold {
  font-weight: 500;
  font-size: 1.2rem;
}

.verfuegbarkeit-title {
  display: flex;
  flex-direction: column;
}

.verfuegbarkeit-content {
  display: flex;
  align-items: flex-start;
}

.verfuegbarkeit-text {
  font-weight: 300; /* light */
  font-size: 24px;
  line-height: 1.2;
  margin: 0 0 0 0;
}

.verfuegbarkeit-text-title {
  font-size: 35px; /* H2 */
  font-weight: 500; /* bold */
  margin-bottom: 20px; /* größerer Abstand zum Text */
}

.verfuegbarkeit-text strong {
  font-weight: 500; /* bold */
}

/* Adresse */
.adresse-box {
  display: flex;
  padding: 16px 16px;
  align-items: flex-start;
  margin-top: 10px;
  gap: 7px;
}

.adresse-content p {
  margin: 0;
}

#p_p_id_de_gfo_shop_ShopPortlet_ > .portlet-topper {
  display: none !important;
}

.produkt-hinweis-wrapper {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
}

.produkt-hinweis {
  background-color: #ffffff;
  border: 2.7px solid #cfcfcf;
  border-radius: 6px;
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.15);
  text-align: left;
  white-space: nowrap;
  padding: 5px 10px;
  font-size: clamp(0.9rem, 2vw, 1rem);
}

.produkt-hinweis.only-glassfaser {
  display: flex;
}

.produkt-hinweis-alternativ {
  color: #797e85;
}

@media (min-width: 992px) and (max-width: 1199.98px) {
  .produkt-hinweis {
    font-size: 1.3rem;
    padding: 10px;
  }
}
@media (min-width: 768px) and (max-width: 991.98px) {
  .produkt-hinweis {
    font-size: 1rem;
    padding: 10px;
  }
}
@media (min-width: 576px) and (max-width: 767px) {
  .produkt-hinweis {
    font-size: 1.3rem;
    padding: 10px 50px;
  }
}
@media (min-width: 351px) and (max-width: 575px) {
  .produkt-hinweis {
    font-size: 0.9rem;
    white-space: nowrap;
  }
}
@media (min-width: 351px) and (max-width: 575px) {
  .produkt-hinweis {
    font-size: 1rem;
    white-space: nowrap;
  }
}
@media (max-width: 405px) {
  .produkt-hinweis {
    white-space: normal;
    word-break: break-word;
  }
}
/* Flatpickr */
.flatpickr-calendar {
  background: transparent;
  opacity: 0;
  display: none;
  text-align: center;
  visibility: hidden;
  padding: 0;
  -webkit-animation: none;
  animation: none;
  direction: ltr;
  border: 0;
  font-size: 14px;
  line-height: 24px;
  border-radius: 5px;
  position: absolute;
  width: 307.875px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  background: #fff;
  -webkit-box-shadow: 1px 0 0 #e6e6e6, -1px 0 0 #e6e6e6, 0 1px 0 #e6e6e6, 0 -1px 0 #e6e6e6, 0 3px 13px rgba(0, 0, 0, 0.08);
  box-shadow: 1px 0 0 #e6e6e6, -1px 0 0 #e6e6e6, 0 1px 0 #e6e6e6, 0 -1px 0 #e6e6e6, 0 3px 13px rgba(0, 0, 0, 0.08);
}

.flatpickr-calendar.open, .flatpickr-calendar.inline {
  opacity: 1;
  max-height: 640px;
  visibility: visible;
}

.flatpickr-calendar.open {
  display: inline-block;
  z-index: 99999;
}

.flatpickr-calendar.animate.open {
  -webkit-animation: fpFadeInDown 300ms cubic-bezier(0.23, 1, 0.32, 1);
  animation: fpFadeInDown 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.flatpickr-calendar.inline {
  display: block;
  position: relative;
  top: 2px;
}

.flatpickr-calendar.static {
  position: absolute;
  top: calc(100% + 2px);
}

.flatpickr-calendar.static.open {
  z-index: 999;
  display: block;
}

.flatpickr-calendar.multiMonth .flatpickr-days .dayContainer:nth-child(n+1) .flatpickr-day.inRange:nth-child(7n+7) {
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.flatpickr-calendar.multiMonth .flatpickr-days .dayContainer:nth-child(n+2) .flatpickr-day.inRange:nth-child(7n+1) {
  -webkit-box-shadow: -2px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
  box-shadow: -2px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
}

.flatpickr-calendar .hasWeeks .dayContainer, .flatpickr-calendar .hasTime .dayContainer {
  border-bottom: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.flatpickr-calendar .hasWeeks .dayContainer {
  border-left: 0;
}

.flatpickr-calendar.hasTime .flatpickr-time {
  height: 40px;
  border-top: 1px solid #e6e6e6;
}

.flatpickr-calendar.noCalendar.hasTime .flatpickr-time {
  height: auto;
}

.flatpickr-calendar:before, .flatpickr-calendar:after {
  position: absolute;
  display: block;
  pointer-events: none;
  border: solid transparent;
  content: "";
  height: 0;
  width: 0;
  left: 22px;
}

.flatpickr-calendar.rightMost:before, .flatpickr-calendar.arrowRight:before, .flatpickr-calendar.rightMost:after, .flatpickr-calendar.arrowRight:after {
  left: auto;
  right: 22px;
}

.flatpickr-calendar.arrowCenter:before, .flatpickr-calendar.arrowCenter:after {
  left: 50%;
  right: 50%;
}

.flatpickr-calendar:before {
  border-width: 5px;
  margin: 0 -5px;
}

.flatpickr-calendar:after {
  border-width: 4px;
  margin: 0 -4px;
}

.flatpickr-calendar.arrowTop:before, .flatpickr-calendar.arrowTop:after {
  bottom: 100%;
}

.flatpickr-calendar.arrowTop:before {
  border-bottom-color: #e6e6e6;
}

.flatpickr-calendar.arrowTop:after {
  border-bottom-color: #fff;
}

.flatpickr-calendar.arrowBottom:before, .flatpickr-calendar.arrowBottom:after {
  top: 100%;
}

.flatpickr-calendar.arrowBottom:before {
  border-top-color: #e6e6e6;
}

.flatpickr-calendar.arrowBottom:after {
  border-top-color: #fff;
}

.flatpickr-calendar:focus {
  outline: 0;
}

.flatpickr-wrapper {
  position: relative;
  display: inline-block;
}

.flatpickr-months {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.flatpickr-months .flatpickr-month {
  background: transparent;
  color: rgba(0, 0, 0, 0.9);
  fill: rgba(0, 0, 0, 0.9);
  height: 34px;
  line-height: 1;
  text-align: center;
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  overflow: hidden;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

.flatpickr-months .flatpickr-prev-month, .flatpickr-months .flatpickr-next-month {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  text-decoration: none;
  cursor: pointer;
  position: absolute;
  top: 0;
  height: 34px;
  padding: 10px;
  z-index: 3;
  color: rgba(0, 0, 0, 0.9);
  fill: rgba(0, 0, 0, 0.9);
}

.flatpickr-months .flatpickr-prev-month.flatpickr-disabled, .flatpickr-months .flatpickr-next-month.flatpickr-disabled {
  display: none;
}

.flatpickr-months .flatpickr-prev-month i, .flatpickr-months .flatpickr-next-month i {
  position: relative;
}

.flatpickr-months .flatpickr-prev-month.flatpickr-prev-month, .flatpickr-months .flatpickr-next-month.flatpickr-prev-month {
  /*
        /*rtl:begin:ignore*/
  left: 0;
}

/*
      /*rtl:begin:ignore*/
/*
      /*rtl:end:ignore*/
.flatpickr-months .flatpickr-prev-month.flatpickr-next-month, .flatpickr-months .flatpickr-next-month.flatpickr-next-month {
  /*
        /*rtl:begin:ignore*/
  right: 0;
}

/*
      /*rtl:begin:ignore*/
/*
      /*rtl:end:ignore*/
.flatpickr-months .flatpickr-prev-month:hover, .flatpickr-months .flatpickr-next-month:hover {
  color: #959ea9;
}

.flatpickr-months .flatpickr-prev-month:hover svg, .flatpickr-months .flatpickr-next-month:hover svg {
  fill: #f64747;
}

.flatpickr-months .flatpickr-prev-month svg, .flatpickr-months .flatpickr-next-month svg {
  width: 14px;
  height: 14px;
}

.flatpickr-months .flatpickr-prev-month svg path, .flatpickr-months .flatpickr-next-month svg path {
  -webkit-transition: fill 0.1s;
  transition: fill 0.1s;
  fill: inherit;
}

.numInputWrapper {
  position: relative;
  height: auto;
}

.numInputWrapper input, .numInputWrapper span {
  display: inline-block;
}

.numInputWrapper input {
  width: 100%;
}

.numInputWrapper input::-ms-clear {
  display: none;
}

.numInputWrapper input::-webkit-outer-spin-button, .numInputWrapper input::-webkit-inner-spin-button {
  margin: 0;
  -webkit-appearance: none;
}

.numInputWrapper span {
  position: absolute;
  right: 0;
  width: 14px;
  padding: 0 4px 0 2px;
  height: 50%;
  line-height: 50%;
  opacity: 0;
  cursor: pointer;
  border: 1px solid rgba(57, 57, 57, 0.15);
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.numInputWrapper span:hover {
  background: rgba(0, 0, 0, 0.1);
}

.numInputWrapper span:active {
  background: rgba(0, 0, 0, 0.2);
}

.numInputWrapper span:after {
  display: block;
  content: "";
  position: absolute;
}

.numInputWrapper span.arrowUp {
  top: 0;
  border-bottom: 0;
}

.numInputWrapper span.arrowUp:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 4px solid rgba(57, 57, 57, 0.6);
  top: 26%;
}

.numInputWrapper span.arrowDown {
  top: 50%;
}

.numInputWrapper span.arrowDown:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid rgba(57, 57, 57, 0.6);
  top: 40%;
}

.numInputWrapper span svg {
  width: inherit;
  height: auto;
}

.numInputWrapper span svg path {
  fill: rgba(0, 0, 0, 0.5);
}

.numInputWrapper:hover {
  background: rgba(0, 0, 0, 0.05);
}

.numInputWrapper:hover span {
  opacity: 1;
}

.flatpickr-current-month {
  font-size: 135%;
  line-height: inherit;
  font-weight: 300;
  color: inherit;
  position: absolute;
  width: 75%;
  left: 12.5%;
  padding: 7.48px 0 0 0;
  line-height: 1;
  height: 34px;
  display: inline-block;
  text-align: center;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.flatpickr-current-month span.cur-month {
  font-family: inherit;
  font-weight: 700;
  color: inherit;
  display: inline-block;
  margin-left: 0.5ch;
  padding: 0;
}

.flatpickr-current-month span.cur-month:hover {
  background: rgba(0, 0, 0, 0.05);
}

.flatpickr-current-month .numInputWrapper {
  width: 6ch;
  width: 7ch \0 ;
  display: inline-block;
}

.flatpickr-current-month .numInputWrapper span.arrowUp:after {
  border-bottom-color: rgba(0, 0, 0, 0.9);
}

.flatpickr-current-month .numInputWrapper span.arrowDown:after {
  border-top-color: rgba(0, 0, 0, 0.9);
}

.flatpickr-current-month input.cur-year {
  background: transparent;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  color: inherit;
  cursor: text;
  padding: 0 0 0 0.5ch;
  margin: 0;
  display: inline-block;
  font-size: inherit;
  font-family: inherit;
  font-weight: 300;
  line-height: inherit;
  height: auto;
  border: 0;
  border-radius: 0;
  vertical-align: initial;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

.flatpickr-current-month input.cur-year:focus {
  outline: 0;
}

.flatpickr-current-month input.cur-year[disabled], .flatpickr-current-month input.cur-year[disabled]:hover {
  font-size: 100%;
  color: rgba(0, 0, 0, 0.5);
  background: transparent;
  pointer-events: none;
}

.flatpickr-current-month .flatpickr-monthDropdown-months {
  appearance: menulist;
  background: transparent;
  border: none;
  border-radius: 0;
  box-sizing: border-box;
  color: inherit;
  cursor: pointer;
  font-size: inherit;
  font-family: inherit;
  font-weight: 300;
  height: auto;
  line-height: inherit;
  margin: -1px 0 0 0;
  outline: none;
  padding: 0 0 0 0.5ch;
  position: relative;
  vertical-align: initial;
  -webkit-box-sizing: border-box;
  -webkit-appearance: menulist;
  -moz-appearance: menulist;
  width: auto;
}

.flatpickr-current-month .flatpickr-monthDropdown-months:focus, .flatpickr-current-month .flatpickr-monthDropdown-months:active {
  outline: none;
}

.flatpickr-current-month .flatpickr-monthDropdown-months:hover {
  background: rgba(0, 0, 0, 0.05);
}

.flatpickr-current-month .flatpickr-monthDropdown-months .flatpickr-monthDropdown-month {
  background-color: transparent;
  outline: none;
  padding: 0;
}

.flatpickr-weekdays {
  background: transparent;
  text-align: center;
  overflow: hidden;
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  height: 28px;
}

.flatpickr-weekdays .flatpickr-weekdaycontainer {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}

span.flatpickr-weekday {
  cursor: default;
  font-size: 90%;
  background: transparent;
  color: rgba(0, 0, 0, 0.54);
  line-height: 1;
  margin: 0;
  text-align: center;
  display: block;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  font-weight: bolder;
}

.dayContainer, .flatpickr-weeks {
  padding: 1px 0 0 0;
}

.flatpickr-days {
  position: relative;
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  width: 307.875px;
}

.flatpickr-days:focus {
  outline: 0;
}

.dayContainer {
  padding: 0;
  outline: 0;
  text-align: left;
  width: 307.875px;
  min-width: 307.875px;
  max-width: 307.875px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  display: inline-block;
  display: -ms-flexbox;
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  -ms-flex-pack: justify;
  -webkit-justify-content: space-around;
  justify-content: space-around;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  opacity: 1;
}

.dayContainer + .dayContainer {
  -webkit-box-shadow: -1px 0 0 #e6e6e6;
  box-shadow: -1px 0 0 #e6e6e6;
}

.flatpickr-day {
  background: none;
  border: 1px solid transparent;
  border-radius: 150px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  color: #393939;
  cursor: pointer;
  font-weight: 400;
  width: 14.2857143%;
  -webkit-flex-basis: 14.2857143%;
  -ms-flex-preferred-size: 14.2857143%;
  flex-basis: 14.2857143%;
  max-width: 39px;
  height: 39px;
  line-height: 39px;
  margin: 0;
  display: inline-block;
  position: relative;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  text-align: center;
}

.flatpickr-day.inRange, .flatpickr-day.prevMonthDay.inRange, .flatpickr-day.nextMonthDay.inRange, .flatpickr-day.today.inRange, .flatpickr-day.prevMonthDay.today.inRange, .flatpickr-day.nextMonthDay.today.inRange, .flatpickr-day:hover, .flatpickr-day.prevMonthDay:hover, .flatpickr-day.nextMonthDay:hover, .flatpickr-day:focus, .flatpickr-day.prevMonthDay:focus, .flatpickr-day.nextMonthDay:focus {
  cursor: pointer;
  outline: 0;
  background: #e6e6e6;
  border-color: #e6e6e6;
}

.flatpickr-day.today {
  border-color: #959ea9;
}

.flatpickr-day.today:hover, .flatpickr-day.today:focus {
  border-color: #959ea9;
  background: #959ea9;
  color: #fff;
}

.flatpickr-day.selected, .flatpickr-day.startRange, .flatpickr-day.endRange, .flatpickr-day.selected.inRange, .flatpickr-day.startRange.inRange, .flatpickr-day.endRange.inRange, .flatpickr-day.selected:focus, .flatpickr-day.startRange:focus, .flatpickr-day.endRange:focus, .flatpickr-day.selected:hover, .flatpickr-day.startRange:hover, .flatpickr-day.endRange:hover, .flatpickr-day.selected.prevMonthDay, .flatpickr-day.startRange.prevMonthDay, .flatpickr-day.endRange.prevMonthDay, .flatpickr-day.selected.nextMonthDay, .flatpickr-day.startRange.nextMonthDay, .flatpickr-day.endRange.nextMonthDay {
  background: #569ff7;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #fff;
  border-color: #569ff7;
}

.flatpickr-day.selected.startRange, .flatpickr-day.startRange.startRange, .flatpickr-day.endRange.startRange {
  border-radius: 50px 0 0 50px;
}

.flatpickr-day.selected.endRange, .flatpickr-day.startRange.endRange, .flatpickr-day.endRange.endRange {
  border-radius: 0 50px 50px 0;
}

.flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n+1)), .flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n+1)) {
  -webkit-box-shadow: -10px 0 0 #569ff7;
  box-shadow: -10px 0 0 #569ff7;
}

.flatpickr-day.selected.startRange.endRange, .flatpickr-day.startRange.startRange.endRange, .flatpickr-day.endRange.startRange.endRange {
  border-radius: 50px;
}

.flatpickr-day.inRange {
  border-radius: 0;
  -webkit-box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
  box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
}

.flatpickr-day.flatpickr-disabled, .flatpickr-day.flatpickr-disabled:hover, .flatpickr-day.prevMonthDay, .flatpickr-day.nextMonthDay, .flatpickr-day.notAllowed, .flatpickr-day.notAllowed.prevMonthDay, .flatpickr-day.notAllowed.nextMonthDay {
  color: rgba(57, 57, 57, 0.3);
  background: transparent;
  border-color: transparent;
  cursor: default;
}

.flatpickr-day.flatpickr-disabled, .flatpickr-day.flatpickr-disabled:hover {
  cursor: not-allowed;
  color: rgba(57, 57, 57, 0.1);
}

.flatpickr-day.week.selected {
  border-radius: 0;
  -webkit-box-shadow: -5px 0 0 #569ff7, 5px 0 0 #569ff7;
  box-shadow: -5px 0 0 #569ff7, 5px 0 0 #569ff7;
}

.flatpickr-day.hidden {
  visibility: hidden;
}

.rangeMode .flatpickr-day {
  margin-top: 1px;
}

.flatpickr-weekwrapper {
  float: left;
}

.flatpickr-weekwrapper .flatpickr-weeks {
  padding: 0 12px;
  -webkit-box-shadow: 1px 0 0 #e6e6e6;
  box-shadow: 1px 0 0 #e6e6e6;
}

.flatpickr-weekwrapper .flatpickr-weekday {
  float: none;
  width: 100%;
  line-height: 28px;
}

.flatpickr-weekwrapper span.flatpickr-day, .flatpickr-weekwrapper span.flatpickr-day:hover {
  display: block;
  width: 100%;
  max-width: none;
  color: rgba(57, 57, 57, 0.3);
  background: transparent;
  cursor: default;
  border: none;
}

.flatpickr-innerContainer {
  display: block;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
}

.flatpickr-rContainer {
  display: inline-block;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.flatpickr-time {
  text-align: center;
  outline: 0;
  display: block;
  height: 0;
  line-height: 40px;
  max-height: 40px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.flatpickr-time:after {
  content: "";
  display: table;
  clear: both;
}

.flatpickr-time .numInputWrapper {
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  width: 40%;
  height: 40px;
  float: left;
}

.flatpickr-time .numInputWrapper span.arrowUp:after {
  border-bottom-color: #393939;
}

.flatpickr-time .numInputWrapper span.arrowDown:after {
  border-top-color: #393939;
}

.flatpickr-time.hasSeconds .numInputWrapper {
  width: 26%;
}

.flatpickr-time.time24hr .numInputWrapper {
  width: 49%;
}

.flatpickr-time input {
  background: transparent;
  -webkit-box-shadow: none;
  box-shadow: none;
  border: 0;
  border-radius: 0;
  text-align: center;
  margin: 0;
  padding: 0;
  height: inherit;
  line-height: inherit;
  color: #393939;
  font-size: 14px;
  position: relative;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}

.flatpickr-time input.flatpickr-hour {
  font-weight: bold;
}

.flatpickr-time input.flatpickr-minute, .flatpickr-time input.flatpickr-second {
  font-weight: 400;
}

.flatpickr-time input:focus {
  outline: 0;
  border: 0;
}

.flatpickr-time .flatpickr-time-separator, .flatpickr-time .flatpickr-am-pm {
  height: inherit;
  float: left;
  line-height: inherit;
  color: #393939;
  font-weight: bold;
  width: 2%;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
}

.flatpickr-time .flatpickr-am-pm {
  outline: 0;
  width: 18%;
  cursor: pointer;
  text-align: center;
  font-weight: 400;
}

.flatpickr-time input:hover, .flatpickr-time .flatpickr-am-pm:hover, .flatpickr-time input:focus, .flatpickr-time .flatpickr-am-pm:focus {
  background: #eee;
}

.flatpickr-input[readonly] {
  cursor: pointer;
}

@-webkit-keyframes fpFadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}
@keyframes fpFadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}